Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class AMPoolMessageBundle

`java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
oracle.jbo.common.CheckedListResourceBundle
oracle.jbo.common.ampool.AMPoolMessageBundle`

public class AMPoolMessageBundle
extends CheckedListResourceBundle

Field Summary
`static java.lang.String` | `EXC_AMPOOL_AM_ALREADY_INITIALIZED` JBO-30009: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_CANNOT_REMOVE_COOKIE` JBO-30014: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_CANNOT_RESET_STATE` JBO-30017: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_CHECKOUT_FAILED` JBO-30003: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_CONFIG_MISMATCH` JBO-30018: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_COOKIE_ALREADY_EXISTS` JBO-30012: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_COOKIE_ENV_IMMUTABLE` JBO-30013: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_AM_INSTANCE` JBO-30005: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_CHECKIN` JBO-30004: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_COOKIE` JBO-30001: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_COOKIE_PARAMS` JBO-30011: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_COOKIE_REPL` JBO-30010: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_HANDLE` JBO-30006: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_LOCK_RELEASE` JBO-30007: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_POOL_SIGNATURE` JBO-30002: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_INVALID_RELEASE_MODE` JBO-30020: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_MGR_ALREADY_CREATED` JBO-30000: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_SESSION_COOKIE_TIMEOUT` JBO-30008: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_UNAVAILABLE_COOKIE` JBO-30019: ApplicationPoolException
`static java.lang.String` | `EXC_AMPOOL_WAIT_TIME_EXCEEDED` JBO-30016: ApplicationPoolException
`static java.lang.String` | `EXC_ILLEGAL_COOKIE_SERIALIZATION` JBO-30015: ApplicationPoolException
`static java.lang.String` | `MSG_AMPOOL_AVG_NUM_OF_AVAIL_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_AVG_NUM_OF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_AVG_NUM_OF_SESSIONS_REF_STATE`
`static java.lang.String` | `MSG_AMPOOL_AVG_NUM_OF_UNAVAIL_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_INSTANCE_AGE_STATS`
`static java.lang.String` | `MSG_AMPOOL_INSTANCE_LIFETIME_STATS`
`static java.lang.String` | `MSG_AMPOOL_INSTANCE_STATS`
`static java.lang.String` | `MSG_AMPOOL_MAX_NUM_OF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_ACTIVATIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_ACTIVE_SESSIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_AVAIL_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_CHECK_INS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_CHECK_OUT_FAILURES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_CHECK_OUTS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_INACTIVE_SESSIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_INSTANCE_CREATIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_INSTANCE_REMOVALS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_PASSIVATIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_REF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_REF_INSTANCES_RECYCLED`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_REUSES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_SESSIONS`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_UNREF_INSTANCES_RECYCLED`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_UNUSED_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_UNUSED_REF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_USED_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_NUM_OF_USED_REF_INSTANCES`
`static java.lang.String` | `MSG_AMPOOL_SESSION_AGE_STATS`
`static java.lang.String` | `MSG_AMPOOL_SESSION_STATS`
`static java.lang.String` | `MSG_AMPOOL_STATE_MANAGEMENT_STATS`
`static java.lang.String` | `MSG_AMPOOL_USE_STATS`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`AMPoolMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXC_AMPOOL_MGR_ALREADY_CREATED

    public static final java.lang.String EXC_AMPOOL_MGR_ALREADY_CREATED

  JBO-30000: ApplicationPoolException

  Cause: The application attempted to create an application pool with the same name as an existing application pool.

  Action: Correct the application logic that is creating an application pool. Validate that a pool with the given name has not already been registered with the pool manager.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_COOKIE

    public static final java.lang.String EXC_AMPOOL_INVALID_COOKIE

  JBO-30001: ApplicationPoolException

  Cause: Deprecated.

  Action: N/A

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_POOL_SIGNATURE

    public static final java.lang.String EXC_AMPOOL_INVALID_POOL_SIGNATURE

  JBO-30002: ApplicationPoolException

  Cause: Deprecated.

  Action: N/A

  See Also:
    Constant Field Values

### EXC_AMPOOL_CHECKOUT_FAILED

    public static final java.lang.String EXC_AMPOOL_CHECKOUT_FAILED

  JBO-30003: ApplicationPoolException

  Cause: The pool failed to create an application module instance during checkout. Typically this exception may occur when the pool has been configured with an invalid application module name, EJB server, etc. or when an invalid JDBC username, password, URL, or datasource name has been specified.

  Action: See the exception details for more information regarding the failure. Correct the application's configuration properties appropriately.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_CHECKIN

    public static final java.lang.String EXC_AMPOOL_INVALID_CHECKIN

  JBO-30004: ApplicationPoolException

  Cause: The application attempted to check in an application module that was not checked out from the pool.

  Action: Remove redundant `releaseApplicationModule()` invocations from the application logic.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_AM_INSTANCE

    public static final java.lang.String EXC_AMPOOL_INVALID_AM_INSTANCE

  JBO-30005: ApplicationPoolException

  Cause: The application attempted to invoke an application pool method with an application module that was not created by that application pool instance.

  Action: Correct the application logic. Use the session cookie that was used to acquire the application module instance to acquire a reference to the application pool that created that application module instance.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_HANDLE

    public static final java.lang.String EXC_AMPOOL_INVALID_HANDLE

  JBO-30006: ApplicationPoolException

  Cause: The application attempted to access the application pool with a session cookie that is not registered with that application pool.

  Action: Correct the application logic. The application should not reference the application pool directly. Use the session cookie interface for all application pool interaction.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_LOCK_RELEASE

    public static final java.lang.String EXC_AMPOOL_INVALID_LOCK_RELEASE

  JBO-30007: ApplicationPoolException

  Cause: The application attempted to release a session cookie lock that it did not hold.

  Action: Internal exception. Please contact BC4J Technical Support.

  See Also:
    Constant Field Values

### EXC_AMPOOL_SESSION_COOKIE_TIMEOUT

    public static final java.lang.String EXC_AMPOOL_SESSION_COOKIE_TIMEOUT

  JBO-30008: ApplicationPoolException

  Cause: A session cookie request thread timed out while waiting for the session cookie lock.

  Action: Verify that all threads that have acquired a session cookie lock have properly released the session cookie lock when they have completed their task. If the lock is properly released then increase the wait timeout period for the request that was interrupted.

  See Also:
    Constant Field Values

### EXC_AMPOOL_AM_ALREADY_INITIALIZED

    public static final java.lang.String EXC_AMPOOL_AM_ALREADY_INITIALIZED

  JBO-30009: ApplicationPoolException

  Cause: The application attempted to modify the availability status of an application module that is already in active pool use.

  Action: Remove the application logic that is updating the application module availability status.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_COOKIE_REPL

    public static final java.lang.String EXC_AMPOOL_INVALID_COOKIE_REPL

  JBO-30010: ApplicationPoolException

  Cause: The web server attempted to replicate a session cookie with an existing, active cookie.

  Action: Internal exception. Please contact BC4J Technical Support.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_COOKIE_PARAMS

    public static final java.lang.String EXC_AMPOOL_INVALID_COOKIE_PARAMS

  JBO-30011: ApplicationPoolException

  Cause: The application attempted to create a session cookie with an invalid set of cookie parameters.

  Action: Correct the application logic that creates the session cookie. Verify that the cookie session id, application id, and application pool reference are all not null.

  See Also:
    Constant Field Values

### EXC_AMPOOL_COOKIE_ALREADY_EXISTS

    public static final java.lang.String EXC_AMPOOL_COOKIE_ALREADY_EXISTS

  JBO-30012: ApplicationPoolException

  Cause: The application attempted to create a session cookie in an application pool that already contains that session cookie.

  Action: Correct the application logic that creates the session cookie. Remove the existing session cookie before creating a new one in that pool.

  See Also:
    Constant Field Values

### EXC_AMPOOL_COOKIE_ENV_IMMUTABLE

    public static final java.lang.String EXC_AMPOOL_COOKIE_ENV_IMMUTABLE

  JBO-30013: ApplicationPoolException

  Cause: The application attempted to change the session cookie environment after the session cookie became active.

  Action: Correct the application logic that sets the session cookie environment. Move all logic that changes the session cookie such that it occurs before the session cookie becomes active. A session cookie is active after it is first used to acquire an application module.

  See Also:
    Constant Field Values

### EXC_AMPOOL_CANNOT_REMOVE_COOKIE

    public static final java.lang.String EXC_AMPOOL_CANNOT_REMOVE_COOKIE

  JBO-30014: ApplicationPoolException

  Cause: The application attempted to remove a session cookie from the pool while that cookie had an application module instance checked out.

  Action: Correct the application logic that removes the session cookie from the application pool. Be sure to invoke `SessionCookie.releaseApplicationModule()` before invoking `ApplicationPool.removeCookie(SessionCookie)`.

  See Also:
    Constant Field Values

### EXC_ILLEGAL_COOKIE_SERIALIZATION

    public static final java.lang.String EXC_ILLEGAL_COOKIE_SERIALIZATION

  JBO-30015: ApplicationPoolException

  Cause: The application attempted to serialize a session cookie while that cookie had an application module instance checked out or which the cookie was locked by a client request thread.

  Action: Correct the serialization logic such that the session cookie is serialized after the session cookie application module has been released to the application pool and after all client requests have released their cookie locks.

  See Also:
    Constant Field Values

### EXC_AMPOOL_WAIT_TIME_EXCEEDED

    public static final java.lang.String EXC_AMPOOL_WAIT_TIME_EXCEEDED

  JBO-30016: ApplicationPoolException

  Cause: The application request thread was timed out while waiting for an available appliation module instance in the pool.

  Action: Prevent wait timeouts by increasing the maximum pool size.

  See Also:
    Constant Field Values

### EXC_AMPOOL_CANNOT_RESET_STATE

    public static final java.lang.String EXC_AMPOOL_CANNOT_RESET_STATE

  JBO-30017: ApplicationPoolException

  Cause:`ApplicationModuleRef.resetState()` was invoked while the ApplicationModuleRef was referencing a reserved ApplicationModule instance.

  Action: Release the ApplicationModule with `ApplicationModuleRef.releaseApplicationModule(true, boolean)` before invoking resetState.

  See Also:
    Constant Field Values

### EXC_AMPOOL_CONFIG_MISMATCH

    public static final java.lang.String EXC_AMPOOL_CONFIG_MISMATCH

  JBO-30018: ApplicationPoolException

  Cause:`oracle.jbo.http.HttpContainer.findSessionCookie` was invoked with a configName which was different than the configuration that was used to create the specified SessionCookie.

  Action: Use a distinct applicationId to identify the cookie for each distinct Configuration.

  See Also:
    Constant Field Values

### EXC_AMPOOL_UNAVAILABLE_COOKIE

    public static final java.lang.String EXC_AMPOOL_UNAVAILABLE_COOKIE

  JBO-30019: ApplicationPoolException

  Cause:An ApplicationPool method was invoked for a cookie that was not currently available. A cookie can be in an unavailable state if another thread is currently updating the cookie. For example, consider the following scenario:

  1. cookie 1 releases an ApplicationModule with the manageed state option 2. cookie 2 targets that ApplicationModule for recycling 3. Before cookie 2 has passivated the ApplicationModule state for cookie 1, cookie 1 requests another ApplicationModule

  In this instance the ApplicationPool could throw an unavailable exception.

  Most of the occurences of this exception should be handled by the BC4J pooling framework. If you do encounter this exception please report the exception to technical support. A workaround for the exception would be to attempt to the invalid operation again.

  Action: Report the exception to technical support. Attempt the invalid operation again.

  See Also:
    Constant Field Values

### EXC_AMPOOL_INVALID_RELEASE_MODE

    public static final java.lang.String EXC_AMPOOL_INVALID_RELEASE_MODE

  JBO-30020: ApplicationPoolException

  Cause:`oracle.jbo.common.ampool.SessionCookie.releaseApplicationModule(byte)` was invoked with an unsupported releaseMode.

  Action:Invoke `releaseApplicationModule(int)` with a a valid releaseMode attribute. Valid releaseModes include: `SessionCookie.SHARED_MANAGED_RELEASE_MODE` `SessionCookie.SHARED_UNMANAGED_RELEASE_MODE` `SessionCookie.RESERVED_MANAGED_RELEASE_MODE` `SessionCookie.RESERVED_UNMANAGED_RELEASE_MODE`

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_INSTANCE_CREATIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_INSTANCE_CREATIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_INSTANCE_REMOVALS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_INSTANCE_REMOVALS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_ACTIVATIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_ACTIVATIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_PASSIVATIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_PASSIVATIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_CHECK_OUTS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_CHECK_OUTS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_CHECK_INS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_CHECK_INS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_REUSES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_REUSES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_REF_INSTANCES_RECYCLED

    public static final java.lang.String MSG_AMPOOL_NUM_OF_REF_INSTANCES_RECYCLED

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_UNREF_INSTANCES_RECYCLED

    public static final java.lang.String MSG_AMPOOL_NUM_OF_UNREF_INSTANCES_RECYCLED

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_MAX_NUM_OF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_MAX_NUM_OF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_AVG_NUM_OF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_AVG_NUM_OF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_AVAIL_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_AVAIL_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_AVG_NUM_OF_AVAIL_INSTANCES

    public static final java.lang.String MSG_AMPOOL_AVG_NUM_OF_AVAIL_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_AVG_NUM_OF_UNAVAIL_INSTANCES

    public static final java.lang.String MSG_AMPOOL_AVG_NUM_OF_UNAVAIL_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_REF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_REF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_UNUSED_REF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_UNUSED_REF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_USED_REF_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_USED_REF_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_UNUSED_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_UNUSED_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_USED_INSTANCES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_USED_INSTANCES

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_SESSIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_SESSIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_AVG_NUM_OF_SESSIONS_REF_STATE

    public static final java.lang.String MSG_AMPOOL_AVG_NUM_OF_SESSIONS_REF_STATE

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_INACTIVE_SESSIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_INACTIVE_SESSIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_ACTIVE_SESSIONS

    public static final java.lang.String MSG_AMPOOL_NUM_OF_ACTIVE_SESSIONS

  See Also:
    Constant Field Values

### MSG_AMPOOL_INSTANCE_LIFETIME_STATS

    public static final java.lang.String MSG_AMPOOL_INSTANCE_LIFETIME_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_STATE_MANAGEMENT_STATS

    public static final java.lang.String MSG_AMPOOL_STATE_MANAGEMENT_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_USE_STATS

    public static final java.lang.String MSG_AMPOOL_USE_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_INSTANCE_STATS

    public static final java.lang.String MSG_AMPOOL_INSTANCE_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_INSTANCE_AGE_STATS

    public static final java.lang.String MSG_AMPOOL_INSTANCE_AGE_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_SESSION_STATS

    public static final java.lang.String MSG_AMPOOL_SESSION_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_SESSION_AGE_STATS

    public static final java.lang.String MSG_AMPOOL_SESSION_AGE_STATS

  See Also:
    Constant Field Values

### MSG_AMPOOL_NUM_OF_CHECK_OUT_FAILURES

    public static final java.lang.String MSG_AMPOOL_NUM_OF_CHECK_OUT_FAILURES

  See Also:
    Constant Field Values

Constructor Detail

### AMPoolMessageBundle

    public AMPoolMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Specified by:
    `getContents` in class `CheckedListResourceBundle`
  Returns:
    an array of key-value pairs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.